summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--blacklist/i486/rust/libical1
-rw-r--r--extra/libical/PKGBUILD36
2 files changed, 36 insertions, 1 deletions
diff --git a/blacklist/i486/rust/libical b/blacklist/i486/rust/libical
deleted file mode 100644
index 27ee23d..0000000
--- a/blacklist/i486/rust/libical
+++ /dev/null
@@ -1 +0,0 @@
-blocked by gobject-instrospection
diff --git a/extra/libical/PKGBUILD b/extra/libical/PKGBUILD
new file mode 100644
index 0000000..dea9608
--- /dev/null
+++ b/extra/libical/PKGBUILD
@@ -0,0 +1,36 @@
+# no gobject-introspection and vala on i486
+makedepends=(
+ $(
+ printf '%s\n' "${makedepends[@]}" \
+ | grep -vxF gobject-introspection \
+ | grep -vxF vala
+ )
+)
+makedepends_i686+=(gobject-introspection vala)
+makedepends_pentium4+=("${makedepends_i686[@]}")
+checkdepends=(
+ $(
+ printf '%s\n' "${checkdepends[@]}" \
+ | grep -vxF python-gobject
+ )
+) || true
+checkdepends_i686+=(python-gobject)
+checkdepends_pentium4+=("${checkdepends_i686[@]}")
+eval "$(
+ declare -f build \
+ | sed '
+ /DGOBJECT_INTROSPECTION/ {
+ h
+ s@^@[ "${CARCH}" = i486 ] || @
+ p
+ g
+ s@\(-DGOBJECT_INTROSPECTION=\)true@\1false@
+ s@\(-DICAL_GLIB_VAPI=\)true@\1false@
+ s@^@[ ! "${CARCH}" = i486 ] || @
+ }
+ '
+ declare -f check \
+ | sed '
+ 2 a [ ! "${CARCH}" = i486 ] || return 0
+ '
+)"